API Reference
List ExposureTable
List exposure tables. The exposure tables are returned in no particular order.
GET
/
v1
/
exposureTables
List ExposureTable
curl --request GET \
--url https://metrics.eu.confidence.dev/v1/exposureTables \
--header 'Authorization: Bearer <token>'import requests
url = "https://metrics.eu.confidence.dev/v1/exposureTables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://metrics.eu.confidence.dev/v1/exposureTables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exposureTables": [
{
"sql": "<string>",
"displayName": "<string>",
"entity": "<string>",
"firstExposureTimeColumn": {
"name": "<string>",
"repeated": true
},
"entityIdColumn": {
"name": "<string>",
"repeated": true
},
"groupNameColumn": {
"name": "<string>",
"repeated": true
},
"schemaValidationJob": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"exposureDataDeliveredUntilTime": {},
"exposedEntitiesMetric": "<string>",
"firstExposureTruncation": {},
"exposureFilterColumn": {
"name": "<string>",
"repeated": true
},
"dimensions": [
{
"name": "<string>",
"repeated": true
}
],
"error": {
"message": "<string>",
"details": [
"<string>"
]
},
"labels": [
{}
],
"owner": "<string>",
"scheduledExposureCalculation": "<string>",
"exposureCalculation": "<string>",
"deleteTime": {},
"systemCreated": true
}
],
"nextPageToken": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of exposure tables to fetch.
Token used for pagination.
Filtering for exposure tables, follows the lucene query string format for example 'name: "exposureTables/abc"', see ExposureTable type for available fields.
If deleted exposure tables should be included.
Response
200 - application/json
OK
ExposureTable: List of matching exposure tables.
Show child attributes
Show child attributes
Token to fetch the next page, empty if no more pages.
Was this page helpful?
⌘I
List ExposureTable

